<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Rendu SVG piloté par le réseau:  Fichier source de include/class/parsage.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Rendu SVG piloté par le réseau
   &#160;<span id="projectnumber">v1.0</span>
   </div>
   <div id="projectbrief">Projet informatique de Licence 3 ingénerie informatique</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_e476b43ffada8fe94e322482066afde7.html">class</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">parsage.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="parsage_8hpp.html">Aller à la documentation de ce fichier.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#ifndef PARSAGE_HPP</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#define PARSAGE_HPP</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment">// INCLUDES</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment">// ================================================================================</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;stdlib.h&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;stdio.h&gt;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &lt;iostream&gt;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &lt;map&gt;</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#include &lt;tinyxml2.h&gt;</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="log_8hpp.html">module/log.hpp</a>&quot;</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="gdata_8hpp.html">module/gdata.hpp</a>&quot;</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="typage_8hpp.html">module/typage.hpp</a>&quot;</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="animation_8hpp.html">module/animation.hpp</a>&quot;</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="comment">// NAMESPACE</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="comment">// ================================================================================</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="keyword">using namespace </span><a class="code" href="namespacetinyxml2.html">tinyxml2</a>;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="keyword">using namespace </span><a class="code" href="namespacestd.html">std</a>;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="comment">// CLASS</span></div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="comment">// ================================================================================</span></div><div class="line"><a name="l00044"></a><span class="lineno"><a class="line" href="class_parsage.html">   44</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_parsage.html">Parsage</a> {</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    <span class="keyword">private</span>:</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;        <span class="comment">// ---------- Attributes</span></div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;        XMLElement *svg_root;       </div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;        <span class="keyword">struct </span><a class="code" href="structglobal__data.html">global_data</a> *g_data; </div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;        <span class="comment">// ---------- Constructors &amp; Destructor</span></div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;        <a class="code" href="class_parsage.html">Parsage</a>(<span class="keyword">struct</span> <a class="code" href="structglobal__data.html">global_data</a> *g_data);</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;        <a class="code" href="class_parsage.html">Parsage</a>(<span class="keyword">const</span> <a class="code" href="class_parsage.html">Parsage</a> &amp;parsage);</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;        ~<a class="code" href="class_parsage.html">Parsage</a>();</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;        <span class="comment">// ---------- Methods</span></div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;        <span class="keywordtype">void</span> InitParsage();</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;        <span class="keywordtype">void</span> ParseSvgTag(XMLElement *tag);</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;        <span class="keywordtype">void</span> SetDrivenParent(<span class="keywordtype">string</span> key, <span class="keywordtype">string</span> value);</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;        <span class="keywordtype">void</span> SetAttribute(<span class="keywordtype">string</span> key, XMLElement *driven, XMLElement *parent, <span class="keywordtype">string</span> target);</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;        <span class="keywordtype">void</span> SetAttributeStyle(<span class="keywordtype">string</span> key, XMLElement *driven, XMLElement *parent, <span class="keywordtype">string</span> target);</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;        <span class="keywordtype">bool</span> IsDriven(XMLElement *tag);</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;        <span class="keywordtype">bool</span> HasAnimation(XMLElement *driven);</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;        map&lt;string, string&gt; Split(<span class="keywordtype">string</span> text);</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;        <span class="keywordtype">string</span> Join(map&lt;string, string&gt; attributes_splited);</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;        <span class="comment">// ---------- Static Methods</span></div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;        <span class="keyword">static</span> <span class="keywordtype">void</span> * ThreadSetDrivenParent(<span class="keywordtype">void</span> *user_data);</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;};</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;<span class="comment">// STRUCT</span></div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;<span class="comment">// ================================================================================</span></div><div class="line"><a name="l00083"></a><span class="lineno"><a class="line" href="structparsage__data.html">   83</a></span>&#160;<span class="comment"></span><span class="keyword">struct </span><a class="code" href="structparsage__data.html">parsage_data</a> {</div><div class="line"><a name="l00084"></a><span class="lineno"><a class="line" href="structparsage__data.html#a677d38e44d395049d71ce1e6f2733b41">   84</a></span>&#160;    <a class="code" href="class_parsage.html">Parsage</a> *<a class="code" href="structparsage__data.html#a677d38e44d395049d71ce1e6f2733b41">parseur</a>;   </div><div class="line"><a name="l00085"></a><span class="lineno"><a class="line" href="structparsage__data.html#aa319424811a853903d3e3956802101c9">   85</a></span>&#160;    <span class="keywordtype">string</span> <a class="code" href="structparsage__data.html#aa319424811a853903d3e3956802101c9">key</a>;         </div><div class="line"><a name="l00086"></a><span class="lineno"><a class="line" href="structparsage__data.html#a1f84c2c622dd305246e0667a6c9613ab">   86</a></span>&#160;    <span class="keywordtype">string</span> <a class="code" href="structparsage__data.html#a1f84c2c622dd305246e0667a6c9613ab">value</a>;       </div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;};</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;<span class="comment">// DOCUMENTATION</span></div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;<span class="comment">// ================================================================================</span></div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;<span class="comment"></span><a class="code" href="class_parsage.html#a64af028b786d98300f79ef5193fabc81">Parsage::Parsage</a>(<span class="keyword">struct</span> <a class="code" href="structglobal__data.html">global_data</a> *g_data);</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;<a class="code" href="class_parsage.html#a64af028b786d98300f79ef5193fabc81">Parsage::Parsage</a>(<span class="keyword">const</span> <a class="code" href="class_parsage.html">Parsage</a> &amp;parsage);</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;<a class="code" href="class_parsage.html#ae2d049bf2188528ea5ae6c90d8088157">Parsage::~Parsage</a>();</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;<span class="keywordtype">void</span> <a class="code" href="class_parsage.html#a08396b2448457846f13aa0c4f32c3058">Parsage::InitParsage</a>();</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;<span class="keywordtype">void</span> <a class="code" href="class_parsage.html#acc5649f66ddc316d5ecda0e2d8eae7f6">Parsage::ParseSvgTag</a>(XMLElement *tag);</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;</div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;<span class="keywordtype">void</span> <a class="code" href="class_parsage.html#a333dc1300487aeec5694380fd3ed5118">Parsage::SetDrivenParent</a>(<span class="keywordtype">string</span> key, <span class="keywordtype">string</span> value);</div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;</div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;</div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;</div><div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;<span class="keywordtype">void</span> <a class="code" href="class_parsage.html#ad009bf076ad8da3c43bc68d5ba77ac73">Parsage::SetAttribute</a>(<span class="keywordtype">string</span> key, XMLElement *driven, XMLElement *parent, <span class="keywordtype">string</span> target);</div><div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;</div><div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;</div><div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;</div><div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;<span class="keywordtype">void</span> <a class="code" href="class_parsage.html#a118aa455b789dc895bccf27a7238484c">Parsage::SetAttributeStyle</a>(<span class="keywordtype">string</span> key, XMLElement *driven, XMLElement *parent, <span class="keywordtype">string</span> target);</div><div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;</div><div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;</div><div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;</div><div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;<span class="keywordtype">bool</span> <a class="code" href="class_parsage.html#acd97431fa48a6fae25b3ed80c940c591">Parsage::IsDriven</a>(XMLElement *tag);</div><div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;</div><div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;</div><div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;</div><div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;<span class="keywordtype">bool</span> <a class="code" href="class_parsage.html#a5b19556a4e9d80dd106937c1608bd989">Parsage::HasAnimation</a>(XMLElement *driven);</div><div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160;</div><div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;</div><div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;</div><div class="line"><a name="l00244"></a><span class="lineno">  244</span>&#160;map&lt;string, string&gt; <a class="code" href="class_parsage.html#aeb8e3a69da05952513821f9ed99f5748">Parsage::Split</a>(<span class="keywordtype">string</span> text);</div><div class="line"><a name="l00245"></a><span class="lineno">  245</span>&#160;</div><div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160;</div><div class="line"><a name="l00247"></a><span class="lineno">  247</span>&#160;</div><div class="line"><a name="l00254"></a><span class="lineno">  254</span>&#160;<span class="keywordtype">string</span> <a class="code" href="class_parsage.html#ac1c6e82320a89a9ee1f83aeb19e3010d">Parsage::Join</a>(map&lt;string, string&gt; attributes_splited);</div><div class="line"><a name="l00255"></a><span class="lineno">  255</span>&#160;</div><div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160;</div><div class="line"><a name="l00257"></a><span class="lineno">  257</span>&#160;</div><div class="line"><a name="l00266"></a><span class="lineno">  266</span>&#160;<span class="keyword">static</span> <span class="keywordtype">void</span> * <a class="code" href="class_parsage.html#a67732d87cb2c63914634b224d08fc623">Parsage::ThreadSetDrivenParent</a>(<span class="keywordtype">void</span> *user_data);</div><div class="line"><a name="l00267"></a><span class="lineno">  267</span>&#160;</div><div class="line"><a name="l00268"></a><span class="lineno">  268</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="class_parsage_html_a67732d87cb2c63914634b224d08fc623"><div class="ttname"><a href="class_parsage.html#a67732d87cb2c63914634b224d08fc623">Parsage::ThreadSetDrivenParent</a></div><div class="ttdeci">static void * ThreadSetDrivenParent(void *user_data)</div><div class="ttdoc">Un thread pour la modification des parents des drivens. </div></div>
<div class="ttc" id="class_parsage_html_a5b19556a4e9d80dd106937c1608bd989"><div class="ttname"><a href="class_parsage.html#a5b19556a4e9d80dd106937c1608bd989">Parsage::HasAnimation</a></div><div class="ttdeci">bool HasAnimation(XMLElement *driven)</div><div class="ttdoc">Vérifie si le driven comporte une animation. </div></div>
<div class="ttc" id="class_parsage_html_a118aa455b789dc895bccf27a7238484c"><div class="ttname"><a href="class_parsage.html#a118aa455b789dc895bccf27a7238484c">Parsage::SetAttributeStyle</a></div><div class="ttdeci">void SetAttributeStyle(string key, XMLElement *driven, XMLElement *parent, string target)</div><div class="ttdoc">Modifie la valeur des attributs qui sont dans l&amp;#39;attribut &quot;style&quot;. </div></div>
<div class="ttc" id="class_parsage_html_acd97431fa48a6fae25b3ed80c940c591"><div class="ttname"><a href="class_parsage.html#acd97431fa48a6fae25b3ed80c940c591">Parsage::IsDriven</a></div><div class="ttdeci">bool IsDriven(XMLElement *tag)</div><div class="ttdoc">Vérifie si la balise est un driven. </div></div>
<div class="ttc" id="class_parsage_html_acc5649f66ddc316d5ecda0e2d8eae7f6"><div class="ttname"><a href="class_parsage.html#acc5649f66ddc316d5ecda0e2d8eae7f6">Parsage::ParseSvgTag</a></div><div class="ttdeci">void ParseSvgTag(XMLElement *tag)</div><div class="ttdoc">Parse une balise XML. </div></div>
<div class="ttc" id="namespacestd_html"><div class="ttname"><a href="namespacestd.html">std</a></div></div>
<div class="ttc" id="class_parsage_html_a08396b2448457846f13aa0c4f32c3058"><div class="ttname"><a href="class_parsage.html#a08396b2448457846f13aa0c4f32c3058">Parsage::InitParsage</a></div><div class="ttdeci">void InitParsage()</div><div class="ttdoc">Initialisation du parseur. </div></div>
<div class="ttc" id="namespacetinyxml2_html"><div class="ttname"><a href="namespacetinyxml2.html">tinyxml2</a></div></div>
<div class="ttc" id="class_parsage_html_a333dc1300487aeec5694380fd3ed5118"><div class="ttname"><a href="class_parsage.html#a333dc1300487aeec5694380fd3ed5118">Parsage::SetDrivenParent</a></div><div class="ttdeci">void SetDrivenParent(string key, string value)</div><div class="ttdoc">Modifie les valeurs des attributs des éléments parent à une balise driven. </div></div>
<div class="ttc" id="structglobal__data_html"><div class="ttname"><a href="structglobal__data.html">global_data</a></div><div class="ttdef"><b>Definition:</b> <a href="gdata_8hpp_source.html#l00050">gdata.hpp:50</a></div></div>
<div class="ttc" id="class_parsage_html_ae2d049bf2188528ea5ae6c90d8088157"><div class="ttname"><a href="class_parsage.html#ae2d049bf2188528ea5ae6c90d8088157">Parsage::~Parsage</a></div><div class="ttdeci">~Parsage()</div><div class="ttdoc">Destructeur de l&amp;#39;objet Parsage. </div></div>
<div class="ttc" id="class_parsage_html_aeb8e3a69da05952513821f9ed99f5748"><div class="ttname"><a href="class_parsage.html#aeb8e3a69da05952513821f9ed99f5748">Parsage::Split</a></div><div class="ttdeci">map&lt; string, string &gt; Split(string text)</div><div class="ttdoc">Sépart le contenu de l&amp;#39;attribut &quot;style&quot;. </div></div>
<div class="ttc" id="class_parsage_html_a64af028b786d98300f79ef5193fabc81"><div class="ttname"><a href="class_parsage.html#a64af028b786d98300f79ef5193fabc81">Parsage::Parsage</a></div><div class="ttdeci">Parsage(struct global_data *g_data)</div><div class="ttdoc">Constructeur de l&amp;#39;objet Parsage. </div></div>
<div class="ttc" id="class_parsage_html_ac1c6e82320a89a9ee1f83aeb19e3010d"><div class="ttname"><a href="class_parsage.html#ac1c6e82320a89a9ee1f83aeb19e3010d">Parsage::Join</a></div><div class="ttdeci">string Join(map&lt; string, string &gt; attributes_splited)</div><div class="ttdoc">Fusione les attributs et les valeurs initialement placé dans l&amp;#39;attribut &quot;style&quot;. </div></div>
<div class="ttc" id="typage_8hpp_html"><div class="ttname"><a href="typage_8hpp.html">typage.hpp</a></div><div class="ttdoc">Module de vérification de type. </div></div>
<div class="ttc" id="structparsage__data_html_a1f84c2c622dd305246e0667a6c9613ab"><div class="ttname"><a href="structparsage__data.html#a1f84c2c622dd305246e0667a6c9613ab">parsage_data::value</a></div><div class="ttdeci">string value</div><div class="ttdef"><b>Definition:</b> <a href="parsage_8hpp_source.html#l00086">parsage.hpp:86</a></div></div>
<div class="ttc" id="structparsage__data_html_aa319424811a853903d3e3956802101c9"><div class="ttname"><a href="structparsage__data.html#aa319424811a853903d3e3956802101c9">parsage_data::key</a></div><div class="ttdeci">string key</div><div class="ttdef"><b>Definition:</b> <a href="parsage_8hpp_source.html#l00085">parsage.hpp:85</a></div></div>
<div class="ttc" id="animation_8hpp_html"><div class="ttname"><a href="animation_8hpp.html">animation.hpp</a></div><div class="ttdoc">Module de réalisation d&amp;#39;animation pour les valeurs numériques. </div></div>
<div class="ttc" id="class_parsage_html_ad009bf076ad8da3c43bc68d5ba77ac73"><div class="ttname"><a href="class_parsage.html#ad009bf076ad8da3c43bc68d5ba77ac73">Parsage::SetAttribute</a></div><div class="ttdeci">void SetAttribute(string key, XMLElement *driven, XMLElement *parent, string target)</div><div class="ttdoc">Modifie la valeur des attributs qui sont directement dans la balise. </div></div>
<div class="ttc" id="log_8hpp_html"><div class="ttname"><a href="log_8hpp.html">log.hpp</a></div><div class="ttdoc">Module de log de debogage. </div></div>
<div class="ttc" id="structparsage__data_html_a677d38e44d395049d71ce1e6f2733b41"><div class="ttname"><a href="structparsage__data.html#a677d38e44d395049d71ce1e6f2733b41">parsage_data::parseur</a></div><div class="ttdeci">Parsage * parseur</div><div class="ttdef"><b>Definition:</b> <a href="parsage_8hpp_source.html#l00084">parsage.hpp:84</a></div></div>
<div class="ttc" id="class_parsage_html"><div class="ttname"><a href="class_parsage.html">Parsage</a></div><div class="ttdef"><b>Definition:</b> <a href="parsage_8hpp_source.html#l00044">parsage.hpp:44</a></div></div>
<div class="ttc" id="gdata_8hpp_html"><div class="ttname"><a href="gdata_8hpp.html">gdata.hpp</a></div><div class="ttdoc">Structure de donnée partagé avec tous les composants. </div></div>
<div class="ttc" id="structparsage__data_html"><div class="ttname"><a href="structparsage__data.html">parsage_data</a></div><div class="ttdef"><b>Definition:</b> <a href="parsage_8hpp_source.html#l00083">parsage.hpp:83</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
